<?php // vim: ts=4 sw=4 sts=4 fdm=marker ai noet:
// $Id: xoops_search.inc.php,v 1.7 2004/12/08 23:36:46 ishii Exp $

define('DATA_HOME', dirname(__FILE__) . '/');
$libdir = DATA_HOME . 'lib/';

require_once( $libdir . 'bwiki.php' );
require_once( $libdir . 'func.php' );
require_once( $libdir . 'file.php' );
require_once( $libdir . 'plugin.php' );
require_once( $libdir . 'html.php' );
require_once( $libdir . 'backup.php' );

require_once( $libdir . 'convert_html.php' );
require_once( $libdir . 'make_link.php' );
require_once( $libdir . 'diff.php' );
require_once( $libdir . 'config.php' );
require_once( $libdir . 'link.php' );
require_once( $libdir . 'trackback.php' );
require_once( $libdir . 'auth.php' );
require_once( $libdir . 'proxy.php' );

require_once( $libdir . 'init.php' );

function bwiki_search($queryarray, $andor, $limit, $offset, $userid)
{
	if( ! is_array($queryarray) )
	{
		return array();
	}

	$word = implode(' ', $queryarray);
	$ret = do_search($word, $andor, FALSE, TRUE);

	if (!isset($ret) || !is_array($ret))
	{
		return array();
	}

	if ($limit==0)
	{
		return array_slice($ret,$offset);
	}
	else
	{
		return array_slice($ret,$offset,$limit);
	}

}

?>
